curl --location --request GET 'https://app.gpt-trainer.com/api/v1/chatbots' \
--header 'Authorization: Bearer <token>'
import requests
url = 'https://app.gpt-trainer.com/api/v1/chatbots'
headers = {
'Authorization': 'Bearer <token>'
}
response = requests.get(url, headers=headers)
if response.status_code == 200:
print("Request successful!")
print(response.json())
else:
print("Request failed with status code:", response.status_code)
print(response.text)
const axios = require("axios");
const url = "https://app.gpt-trainer.com/api/v1/chatbots";
const headers = {
Authorization: "Bearer <token>",
};
axios
.get(url, { headers })
.then((response) => {
console.log("Request successful!");
console.log(response.data);
})
.catch((error) => {
console.error("Request failed:", error);
});
[
{
"created_at": "string",
"meta": {
"rate_limit": [20, 240],
"rate_limit_message": "Too many messages",
"show_citations": false,
"visibility": "private"
},
"modified_at": "string",
"name": "string",
"uuid": "string"
}
]
Chatbots
Fetch All Chatbots
Fetch the list of chatbots for current user
GET
/
api
/
v1
/
chatbots
curl --location --request GET 'https://app.gpt-trainer.com/api/v1/chatbots' \
--header 'Authorization: Bearer <token>'
import requests
url = 'https://app.gpt-trainer.com/api/v1/chatbots'
headers = {
'Authorization': 'Bearer <token>'
}
response = requests.get(url, headers=headers)
if response.status_code == 200:
print("Request successful!")
print(response.json())
else:
print("Request failed with status code:", response.status_code)
print(response.text)
const axios = require("axios");
const url = "https://app.gpt-trainer.com/api/v1/chatbots";
const headers = {
Authorization: "Bearer <token>",
};
axios
.get(url, { headers })
.then((response) => {
console.log("Request successful!");
console.log(response.data);
})
.catch((error) => {
console.error("Request failed:", error);
});
[
{
"created_at": "string",
"meta": {
"rate_limit": [20, 240],
"rate_limit_message": "Too many messages",
"show_citations": false,
"visibility": "private"
},
"modified_at": "string",
"name": "string",
"uuid": "string"
}
]
Response
object[]
curl --location --request GET 'https://app.gpt-trainer.com/api/v1/chatbots' \
--header 'Authorization: Bearer <token>'
import requests
url = 'https://app.gpt-trainer.com/api/v1/chatbots'
headers = {
'Authorization': 'Bearer <token>'
}
response = requests.get(url, headers=headers)
if response.status_code == 200:
print("Request successful!")
print(response.json())
else:
print("Request failed with status code:", response.status_code)
print(response.text)
const axios = require("axios");
const url = "https://app.gpt-trainer.com/api/v1/chatbots";
const headers = {
Authorization: "Bearer <token>",
};
axios
.get(url, { headers })
.then((response) => {
console.log("Request successful!");
console.log(response.data);
})
.catch((error) => {
console.error("Request failed:", error);
});
[
{
"created_at": "string",
"meta": {
"rate_limit": [20, 240],
"rate_limit_message": "Too many messages",
"show_citations": false,
"visibility": "private"
},
"modified_at": "string",
"name": "string",
"uuid": "string"
}
]
⌘I